/*
**      $VER: AssignName 37.1 (6.9.96)
**
**      Demonstrates usage of AKCC_WildCmp()
**
**      (C) Copyright 1989-96 Andreas R. Kleinert
**      All Rights Reserved.
*/


#define __USE_SYSBASE

#include <akccplus/akccplus_all.h>
#include <proto/akccplus.h>

#include <stdlib.h>

#include <proto/exec.h>
#include <proto/dos.h>


struct AKCCPlusBase *AKCCPlusBase = N;

void main(long argc, char **argv)
{
 printf("\nWildCmp V37.1, FREEWARE, (c) 1993-96 by Andreas R. Kleinert.\n");

 AKCCPlusBase = (struct AKCCPlusBase *) OpenLibrary("akccplus.library", 37);
 if(AKCCPlusBase)
  {
   char wild_string[256], orig_string[256];

   printf("\nEnter a WildCard string :");
   scanf("%s", wild_string);

   printf("Enter string to compare with the WildCard string :");
   scanf("%s", orig_string);

   if(AKCC_WildCmp(orig_string, wild_string)==TRUE) printf("\nThe pattern fits.\n");
    else                                            printf("\nThe pattern does not match.\n");

   CloseLibrary((APTR) AKCCPlusBase);
  }else
  {
   printf("\n Can't open \42akccplus.library\42 V37+ !\n");
  }

 exit(0);
}
